#
# spec file for package perl-Pragmatic
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-Pragmatic
Version:        1.7
Release:        1.1
Summary:        Process pragmata in Perl
Source:         http://search.cpan.org/CPAN/authors/id/B/BI/BINKLEY/Pragmatic-%{version}.tar.gz
Url:            http://search.cpan.org/dist/Pragmatic
Group:          Development/Libraries/Perl
License:        GNU General Public License version 2 or later or Artistic (GPLv2+ or Artistic)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl-macros
BuildRequires:  make
BuildRequires:  perl(ExtUtils::MakeMaker)
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description
Pragmatic implements a default "import" method for processing pragmata
before passing the rest of the import to Exporter.
Perl automatically calls the "import" method when processing a "use"
statement for a module. Modules and "use" are documented in perlfunc and
perlmod.

%prep
%setup -q -n "Pragmatic-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

find . -type f -executable -exec %__chmod 0644 {} \;

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?_smp_flags}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Pragmatic.pm
%doc %{perl_man3dir}/Pragmatic.%{perl_man3ext}%{ext_man}

%changelog
* Thu Nov  3 2011 pascal.bleser@opensuse.org
- initial version (1.7)
